curl --request GET \
--url https://api.chainstack.com/v2/nodes/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "ND-123-456-789",
"name": "My Ethereum node",
"network": "mainnet",
"protocol": "ethereum",
"project": "PR-123-456-789",
"cloud": "CC-0001",
"region": "us-east-1",
"provider": "aws",
"status": "running",
"details": {
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug"
],
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"beacon_endpoint": "https://beacon-nd-123-456-789.p2pify.com",
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql"
},
"blockchain": "BC-000-000"
}
]
}List every blockchain node in your Chainstack organization using the Platform API v2. Send a GET request to /v2/nodes/ for the paginated node list.
curl --request GET \
--url https://api.chainstack.com/v2/nodes/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "ND-123-456-789",
"name": "My Ethereum node",
"network": "mainnet",
"protocol": "ethereum",
"project": "PR-123-456-789",
"cloud": "CC-0001",
"region": "us-east-1",
"provider": "aws",
"status": "running",
"details": {
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug"
],
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"beacon_endpoint": "https://beacon-nd-123-456-789.p2pify.com",
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql"
},
"blockchain": "BC-000-000"
}
]
}Documentation Index
Fetch the complete documentation index at: https://chainstack-mintlify-flesh-empty-pages.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'All API requests must be made over HTTPS.
Which field to use when ordering the results.
Use the - prefix to perform descending ordering (-name).
name, created_at A page number within the paginated result set.
Was this page helpful?